Portal
To view all portals:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Successful response
No content
get/api/v2/portal
GET /api/v2/portal HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
No content
To create a new portal:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired
titlestringRequired
portfolioIdstringRequired
defaultHoststringRequired
subdomainstringOptional
Responses
200
Successful response
No content
post/api/v2/portal
POST /api/v2/portal HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 91
{
"name": "text",
"title": "text",
"portfolioId": "text",
"defaultHost": "text",
"subdomain": "text"
}200
Successful response
No content
To view details for a specific portal:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portalIdstringRequired
Responses
200
Successful response
No content
get/api/v2/{portalId}
GET /api/v2/{portalId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
No content
To update a specific portal:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portalIdstringRequired
Body
namestringOptional
titlestringOptional
portfolioIdstringOptional
defaultHoststringOptional
subdomainstringOptional
statusstringOptional
Responses
200
Successful response
No content
patch/api/v2/portal/{portalId}
PATCH /api/v2/portal/{portalId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 107
{
"name": "text",
"title": "text",
"portfolioId": "text",
"defaultHost": "text",
"subdomain": "text",
"status": "text"
}200
Successful response
No content
Last updated
Was this helpful?